using System;

internal sealed class Delegate108 : MulticastDelegate
{
	public extern long Invoke(object object_0);

	public static long smethod_0(object object_0, Delegate108 delegate108_1)
	{
		return delegate108_1(object_0);
	}

	public extern Delegate108(object object_0, IntPtr intptr_0);

	static Delegate108()
	{
		Class10.smethod_13(typeof(Delegate108).TypeHandle);
	}

	internal static Delegate108 delegate108_0;
}
